# autovideoflip

The autovideoflip element is used to flip the video plugging the right element depending on caps and underlying buffer memory.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──GstBaseAutoConvert
                            ╰──autovideoflip

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – Thibault Saunier

Classification: – `Bin/Filter/Effect/Video`

Rank – none

Plugin – autoconvert

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### video-direction

    “video-direction” GstVideoOrientationMethod *

Video direction: rotation and flipping

Flags : Read / Write / Construct

Default value : identity (0)

The results of the search are